Bug 1394578 - Firewalld not respecting samba rule
Summary: Firewalld not respecting samba rule
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-13 21:27 UTC by Eric Griffith
Modified: 2017-08-08 19:15 UTC (History)
2 users (show)

Fixed In Version: firewalld-0.4.4.2-1.fc25 firewalld-0.4.4.2-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:15:05 UTC


Attachments (Terms of Use)

Description Eric Griffith 2016-11-13 21:27:09 UTC
This may be samba's fault, but I am applying it to firewalld because everything broke following a firewalld upgrade. 

My Fedora 24 workstation shares out 2 samba shares to Windows 7 clients. These shares worked perfectly fine for several weeks and survived multiple reboots. So I know the firewall was working as it should have been, and this was not a runtime vs permanent issue. This morning I did a dnf upgrade. 

Following this upgrade: 

    Upgraded firewalld-0.4.3.3-1.fc24.noarch                           @updates
    Upgrade            0.4.4.1-1.fc24.noarch                           @updates
    Upgraded firewalld-filesystem-0.4.3.3-1.fc24.noarch                @updates
    Upgrade                       0.4.4.1-1.fc24.noarch                @updates

My windows clients could no longer see my samba shares. I fought with various components for several hours before I decided to just say "screw it" and turned off the firewall to see what would happen. As soon as the firewall was down, Windows could see the shares again.

Not sure what changed in those two updates, but it would appear that something broke somewhere in regards to rule parsing.

Comment 1 Thomas Woerner 2016-11-14 17:15:47 UTC
Please have a look at http://people.redhat.com/twoerner/firewalld/0.4.4.1-1/

There you can find an additional policy module definition file for SELinux: firewalld-0.4.4.te

It only allows firewalld to search and analyse if there are usable netfilter conntrack helpers:

allow firewalld_t modules_object_t:dir { getattr open search read };

Please have a look at the file SELINUX.README to be able to enable and use the module.

Comment 2 Thomas Woerner 2016-11-15 11:04:24 UTC
You need to reload or restart firewalld after you enabled the additional policy module. firewalld was not able to search and analyse if there are netfilter conntrack modules and which helpers they provide.

Comment 3 Eric Griffith 2016-11-15 14:35:09 UTC
Will give this a shot tonight, thanks, Thomas

Comment 4 Eric Griffith 2016-11-18 04:29:41 UTC
So this frustrating. We lost power at some point yesterday while I was at work. I had the F25 upgrade queued up, and I came home to it being complete. So now I'm on f25, not f24, and I can't reproduce this under f25.

Thomas up to you what you want to do with this bug. Something is up under F24 that is fixed in F25.

Comment 5 Fedora Update System 2016-12-01 14:53:08 UTC
firewalld-0.4.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3dd8b5f4e1

Comment 6 Fedora Update System 2016-12-01 14:53:51 UTC
firewalld-0.4.4.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2ca3e59b5

Comment 7 Fedora Update System 2016-12-01 14:54:11 UTC
firewalld-0.4.4.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b566ecf579

Comment 8 Fedora Update System 2016-12-03 04:28:44 UTC
firewalld-0.4.4.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b566ecf579

Comment 9 Fedora Update System 2016-12-03 04:35:00 UTC
firewalld-0.4.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3dd8b5f4e1

Comment 10 Fedora Update System 2016-12-03 05:41:39 UTC
firewalld-0.4.4.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2ca3e59b5

Comment 11 Fedora Update System 2016-12-04 02:27:20 UTC
firewalld-0.4.4.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-12-04 05:25:32 UTC
firewalld-0.4.4.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-12-05 17:37:43 UTC
firewalld-0.4.4.2-2.fc23 selinux-policy-3.13.1-158.25.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a0533d057

Comment 14 Fedora Update System 2016-12-13 05:25:03 UTC
firewalld-0.4.4.2-2.fc23, selinux-policy-3.13.1-158.25.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a0533d057

Comment 15 Fedora End Of Life 2017-07-25 23:52:15 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-08-08 19:15:05 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.